
Redmine - Defect #5162

translation missing: zh-TW, field_time_entrie

2010-03-24 03:18 - ChunChang (Nagaharu) Lo

Status: Closed Start date: 2010-03-24

Priority: Normal Due date: 2010-08-20

Assignee: Holger Just % Done: 100%

Category: Issues Estimated time: 0.00 hour

Target version: 1.0.1   

Resolution: Fixed Affected version:  

Description

I got this error message when I typed an invalid number to the time entry.

translation missing: zh-TW, field_time_entries 是無效的

Related issues:

Has duplicate Redmine - Defect #6055: Missing Translatione error when logging... Closed 2010-08-06

Associated revisions

Revision 4007 - 2010-08-19 20:50 - Azamat Hackimov

Localisation updates: New string to fix #5162

History

#1 - 2010-03-24 17:59 - Azamat Hackimov

- Status changed from New to 7

Please include patch or file to commit.

#2 - 2010-03-25 01:29 - ChunChang (Nagaharu) Lo

- File zh-TW.yml added

- File en.yml added

- % Done changed from 0 to 100

Add field_time_entries key for both zh-TW and en locales.

#3 - 2010-04-03 20:04 - Azamat Hackimov

- Status changed from 7 to Closed

- Resolution set to Cant reproduce

Maybe this string from some plugin? In core distribution this string not exist.

#4 - 2010-06-16 13:44 - Ondra Starek

- Status changed from Closed to Reopened

I can reproduce this issue (I'm using Redmine from the trunk in revision 3735):

1. create a required custom field for spent time,

2. create new time entry without value in the field.

One of the two error messages, which appear as a result of these steps, is the message reported in this ticket.

#5 - 2010-06-19 00:25 - Holger Just

I can also reproduce this. It only occurs, if you try to create a TimeEntry during an issue update while that particular TimeEntry does not validate.

This is probably cause by a change to the behavior during issue update. The cause is probably in Issue#save_issue_with_child_records.
#6 - 2010-07-23 10:15 - Raghu Sunderam

Even i can reproduce this issue.

This issue appears to be very obvious.

I don't know how it missed your developers eyes.

Steps to reproduce

1) Create an issue and fill all required fields

2) Update the issue by entering a perfectly valid value in "Spent time" field, but don't select any options in "Activity" drop down list.

The issue appears to be not in validating the value entered in "Spent time" field, as 3, 7 are all perfectly valid values for Hour based field.

More the issue also not appeared to be related to Translation.

As i have using US English version, for that it self i am getting the following error.

"translation missing: en,

field_time_entries is invalid"

#7 - 2010-07-23 10:18 - Raghu Sunderam

Moreover Using custom field for "Spent time" is totally unnecessary to reproduce this issue.

So this issue is nothing to do with Custom Field.

#8 - 2010-07-23 11:15 - Felix Schäfer

- Category changed from Translations to Issues

- Assignee changed from Azamat Hackimov to Holger Just

My guess is the "extra" validation error happens here source:/trunk/app/models/issue.rb#L495 . The problem appears to happen when you try to add

an invalid time entry while updating the issue, this does not happen when logging time "on its own" through the "Log time" link. The flash then shows

the validation errors for the TimeEntry as well as an error that the TimeEntry is invalid (probably as part of the error messages from the issue).

#9 - 2010-08-19 20:48 - Azamat Hackimov

- Due date set to 2010-08-20

- Status changed from Reopened to Closed

- Target version set to 1.0.1

- Resolution changed from Cant reproduce to Fixed

OK, new string added in r4007.

Files

zh-TW.yml 39.5 KB 2010-03-25 ChunChang (Nagaharu) Lo

en.yml 35.5 KB 2010-03-25 ChunChang (Nagaharu) Lo
https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/app/models/issue.rb#L495
https://www.redmine.org/projects/redmine/repository/svn/revisions/4007
